#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
INSTALLDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../.. && pwd )"
. /etc/os-release
OS=$ID


echo "    --  Creating cron file"
MINUTE=$[ ( $RANDOM % 60 ) + 1 ]
cat > /etc/cron.d/phonebookmanager <<-EOF
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/root/bin

# Sync internal contacts hourly
$MINUTE * * * * root nice -n 19 php $INSTALLDIR/scripts/SyncInternal.php > /dev/null

# Make backup every night, keeping 30 backups
0 0 * * * root php $INSTALLDIR/scripts/backupcontacts.php

# Remove logs if needed
0 23 * * * root rm -f $INSTALLDIR/api/log.txt
EOF