#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
INSTALLDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../.. && pwd )"
. /etc/os-release
OS=$ID

rm -f /usr/share/ombutel/backup-scripts/phonebookmanager.php
cp $DIR/phonebookmanager.php /usr/share/ombutel/backup-scripts/phonebookmanager.php

cat > /usr/share/ombutel/www/i18n/en_US/backup_and_restore-Phonebookmanager.txt <<EOF
backup_and_restore.include_Phonebookmanager = Include Phonebookmanager
backup_and_restore.include_Phonebookmanager.tooltip = Enabling this will add Phonebookmanager to the backup
backup_and_restore.restore_Phonebookmanager = Restore Phonebookmanager
backup_and_restore.restore_Phonebookmanager.tooltip = Enabling this will replace existing Phonebookmanager data with those contained in this backup
EOF

cat > /usr/share/ombutel/www/i18n/fr_FR/backup_and_restore-Phonebookmanager.txt <<EOF
backup_and_restore.include_Phonebookmanager = Inclure Phonebookmanager
backup_and_restore.include_Phonebookmanager.tooltip = Cocher cette option pour sauvegarder Phonebookmanager
backup_and_restore.restore_Phonebookmanager = Restaurer Phonebookmanager
backup_and_restore.restore_Phonebookmanager.tooltip = Cocher cette option pour restaurer les données du serveur Phonebookmanager telles qu'elles etaient lors de la sauvegarde.
EOF