#!/bin/bash
. /etc/os-release
OS=$ID
PRODUCTNAME="phonebookmanager"
TMPDIR="/tmp/phonebookmanager"
INSTALLDIR="/usr/share/ombutel/www"
IPCDIR="/etc/ipconnect"
OLDVERSION=-1
NEWVERSION=-1
MAJORVERSION=2

mkdir -p "$TMPDIR"
mkdir -p "$IPCDIR"
mkdir -p /etc/phonebookmanager
chmod 755 /etc/phonebookmanager
if [ $OS = "centos" ]
then
    chown apache:apache -R /etc/phonebookmanager
else
    chown www-data:www-data -R /etc/phonebookmanager
fi

# before update, make a copy in correct dir of settings from old dir to new dir.
mkdir -p /etc/phonebookmanager
if  [ -f $INSTALLDIR/$PRODUCTNAME/config/params.php ] && [ ! -f /etc/phonebookmanager/params.php ]
then
  mv $INSTALLDIR/$PRODUCTNAME/config/params.php /etc/phonebookmanager/params.php
  dos2unix /etc/phonebookmanager/params.php
fi

if [ -d $INSTALLDIR/$PRODUCTNAME/backup ]
then
  mv -f $INSTALLDIR/$PRODUCTNAME/backup /etc/phonebookmanager/
fi