#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
INSTALLDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../.. && pwd )"
. /etc/os-release
OS=$ID

echo "    --  Creating cron file"
cat > /etc/cron.d/phonebookmanager <<-EOF
0 0 * * * root rm -f /var/log/phonebookmanager_syncinternal.log
*/2 * * * * root php $INSTALLDIR/scripts/SyncInternal.php >> /var/log/phonebookmanager_syncinternal.log 2>&1
0 0 * * * root php $INSTALLDIR/scripts/backupcontacts.php
EOF
